Index: branches/eli_branch/lib/Version.inc.php
===================================================================
--- branches/eli_branch/lib/Version.inc.php	(revision 438)
+++ branches/eli_branch/lib/Version.inc.php	(revision 439)
@@ -40,5 +40,5 @@
 
     // Configuration of this object.
-    var $_params = array(
+    private $_params = array(
         'max_qty' => 100, // Never have more than this many versions of each record.
         'min_qty' => 25, // Keep at least this many versions of each record.
@@ -54,5 +54,5 @@
 
     // Auth_SQL object from which to access a current user_id.
-    var $_auth;
+    private $_auth;
 
     /**
@@ -63,5 +63,5 @@
      * @static
      */
-    static function &getInstance($auth_object)
+    public static function &getInstance($auth_object)
     {
         static $instance = null;
@@ -79,5 +79,5 @@
      * @param mixed  $auth_object  An Auth_SQL object.
      */
-    function Version($auth_object)
+    public function __construct($auth_object)
     {
 		$app =& App::getInstance();
@@ -102,5 +102,5 @@
      * @since   26 Aug 2005 17:09:36
      */
-    function initDB($recreate_db=false)
+    public function initDB($recreate_db=false)
     {
 		$app =& App::getInstance();
@@ -155,5 +155,5 @@
      * @param  array $params   Array of param keys and values to set.
      */
-    function setParam($params=null)
+    public function setParam($params=null)
     {
         if (isset($params) && is_array($params)) {
@@ -170,5 +170,5 @@
      * @return mixed               Configured parameter value.
      */
-    function getParam($param)
+    public function getParam($param)
     {
 		$app =& App::getInstance();
@@ -192,5 +192,5 @@
      * @return int                  The id for the version (mysql last insert id).
      */
-    function create($record_table, $record_key, $record_val, $title='', $notes='')
+    public function create($record_table, $record_key, $record_val, $title='', $notes='')
     {
 		$app =& App::getInstance();
@@ -253,5 +253,5 @@
      * @return int                  The id for the version (mysql last insert id).
      */
-    function restore($version_id)
+    public function restore($version_id)
     {
 		$app =& App::getInstance();
@@ -314,5 +314,5 @@
      * @return mixed                Array of versions, or false if none.
      */
-    function deleteOld($record_table, $record_key, $record_val)
+    public function deleteOld($record_table, $record_key, $record_val)
     {
 		$db =& DB::getInstance();
@@ -381,5 +381,5 @@
      * @return mixed                Array of versions, or false if none.
      */
-    function getList($record_table, $record_key, $record_val)
+    public function getList($record_table, $record_key, $record_val)
     {
 		$db =& DB::getInstance();
@@ -418,5 +418,5 @@
      * @return mixed                Array of data saved in version, or false if none.
      */
-    function getVerson($version_id)
+    public function getVerson($version_id)
     {
 		$db =& DB::getInstance();
@@ -439,5 +439,5 @@
      * @return mixed                Array of data saved in version, or false if none.
      */
-    function getData($version_id)
+    public function getData($version_id)
     {
 		$db =& DB::getInstance();
@@ -465,5 +465,5 @@
      * @return mixed                Array of data saved in version, or false if none.
      */
-    function getCurrent($record_table, $record_key, $record_val)
+    public function getCurrent($record_table, $record_key, $record_val)
     {
 		$db =& DB::getInstance();
@@ -484,3 +484,2 @@
 
 } // End of class.
-?>
